Subject: Re: [PATCH 3/7] reftable/merged: skip comparison for records of the same subiter

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 2 Feb 2024 06:15:20 +0100

On Thu, Feb 01, 2024 at 12:29:16PM -0500, Eric Sunshine wrote:
> On Thu, Feb 1, 2024 at 8:17 AM Patrick Steinhardt <[email-masked]> wrote:
> > When retrieving the next entry of a merged iterator we need to drop all
> > records of other sub-iterators that would be shadowed by the record that
> > we are about to return. We do this by comparing record keys, dropping
> > all keys that are smaller or equal to the key of the record we are about
> > to return.
> >
> > There is an edge case here where we can skip that comparison: when the
> > record in the priority queue comes from the same subiterator than the
> 
> s/than/as/

Thanks for your corrections, as usual :) I'll refrain from sending a v2
for now, but have squashed the fixes in while I wait for more feedback
on this series.

Patrick